Subject: Re: Anyone running GIT on native Windows

From: "Aaron Gray" <[email-masked]>
Date: Mon, 7 May 2007 14:51:42 +0100

>> On 5/7/07, Johannes Sixt <[email-masked]> wrote:
>> > Aaron Gray wrote:
>> > > What I want is to be able to work in Windows CMD and envoke .sh 
>> > > scripts by
>> > > association (unfortunately you have to add the .sh on the command 
>> > > name
>> > > though).
>> >
>> > I run the mingw port exclusively from CMD without a .sh association. So
>> > exclusively that I don't even know whether any other way of using the
>> > tools even works. Of course, you have to get used to
>> >
>>
>> Is it public available?
>
> gitweb: http://repo.or.cz/w/git/mingw.git
> clone:  git://repo.or.cz/git/mingw.git
>
> I only have either time to hack on mingw.git or a Windows installation,
> but not both at the same time. Therefore, the port is now a bit falling
> back (it's still at 1.5.1). I hope to be able to change this in a few
> weeks.

Great I will check this out when I get some time.

An .sh to c converter would be the best solution. I will be looking into how 
hard this would be to do.

> The next big thing to think about is an installer. Does anyone have a
> suggestion for a free installer tool? I only know about Microsoft's WiX
> (wix.sf.net), but it requires .NET (for the developer, not the user).

I suggest Nullsoft :-

        http://nsis.sourceforge.net/Main_Page

This is used by several open source projects.

Aaron